@font-face {
  src: url(fonts/ibmplexmono/IBMPlexMono-MediumItalic.ttf);
  font-family: IBM;
}

@font-face {
  src: url(fonts/handjet/Handjet-Regular.ttf);
  font-family: Handjet;
}

@font-face {
  src: url(fonts/handjet/Handjet-Light.ttf);
  font-family: HandjetLight;
}

@font-face {
  src: url(fonts/handjet/Handjet-Bold.ttf);
  font-family: HandjetBold;
}

@font-face {
  src: url(fonts/handjet/Handjet-SemiBold.ttf);
  font-family: HandjetSemibold;
}

@font-face {
  font-family: HomeadeApple;
  src: url(fonts/homeadeapple/HomemadeApple-Regular.ttf);
}

@font-face {
  font-family: PatrickHand;
  src: url(fonts/patrickhand/PatrickHand-Regular.ttf);
}

@font-face {
  src: url(fonts/ibmplexmono/IBMPlexMono-MediumItalic.ttf);
  font-family: IBM;
}

@font-face {
  src: url(fonts/handjet/Handjet-Regular.ttf);
  font-family: Handjet;
}

@font-face {
  src: url(fonts/handjet/Handjet-Light.ttf);
  font-family: HandjetLight;
}

@font-face {
  src: url(fonts/handjet/Handjet-Bold.ttf);
  font-family: HandjetBold;
}

@font-face {
  src: url(fonts/handjet/Handjet-SemiBold.ttf);
  font-family: HandjetSemibold;
}

@font-face {
  font-family: HomeadeApple;
  src: url(fonts/homeadeapple/HomemadeApple-Regular.ttf);
}

@font-face {
  font-family: PatrickHand;
  src: url(fonts/patrickhand/PatrickHand-Regular.ttf);
}

   ::-webkit-scrollbar {
width: 14px
}

::-webkit-scrollbar-track:vertical {
background: linear-gradient(90deg, #e1cbd7, #ffe7f5 20%);
border-left: 1px solid #c33072;
}

::-webkit-scrollbar-thumb:vertical {
background: linear-gradient(90deg, rgb(122, 27, 79) 0%, rgb(255, 194, 219) 28%, rgb(238, 138, 190) 55%, rgb(252, 202, 239) 87%);
  border-left: 1px solid #c33072;
}

/*horizontal scroll*/

::-webkit-scrollbar:horizontal {
height: 14px
}

::-webkit-scrollbar-track:horizontal {
background: linear-gradient(180deg, #e1cbd7, #ffe7f5 20%);
 border-top: 1px solid #c33072;
}

::-webkit-scrollbar-thumb:horizontal {
background: linear-gradient(180deg,  rgb(122, 27, 79) 0%, rgb(255, 194, 219) 28%, rgb(238, 138, 190) 55%, rgb(252, 202, 239) 87%);
  border-top: 1px solid #c33072;
}


*::selection{
  color:rgb(250, 245, 198);
  background-color: #e26b97;
}

html, body {
    margin: 0;
    padding: 0;
}

   ::-webkit-scrollbar {
width: 14px
}

::-webkit-scrollbar-track:vertical {
background: linear-gradient(90deg, #e1cbd7, #ffe7f5 20%);
border-left: 1px solid #c33072;
}

::-webkit-scrollbar-thumb:vertical {
background: linear-gradient(90deg, rgb(122, 27, 79) 0%, rgb(255, 194, 219) 28%, rgb(238, 138, 190) 55%, rgb(252, 202, 239) 87%);
  border-left: 1px solid #c33072;
}

/*horizontal scroll*/

::-webkit-scrollbar:horizontal {
height: 14px
}

::-webkit-scrollbar-track:horizontal {
background: linear-gradient(180deg, #e1cbd7, #ffe7f5 20%);
 border-top: 1px solid #c33072;
}

::-webkit-scrollbar-thumb:horizontal {
background: linear-gradient(180deg,  rgb(122, 27, 79) 0%, rgb(255, 194, 219) 28%, rgb(238, 138, 190) 55%, rgb(252, 202, 239) 87%);
  border-top: 1px solid #c33072;
}


header {
  position: relative;
  background-image: url(bg/pinkpattern.png);
  width: 100%;
  min-height: clamp(100px, 30vw, 300px);
  margin-bottom: 0px;
  z-index: 1;
  box-sizing: border-box;
}

#lacetop {
    z-index: 1;
    position: absolute;
    width: 100%;
    top: -5%;
}

h1 {
    z-index: 99;
    position: absolute;
    bottom: 0;
    right: 0;
    font-family: HomeadeApple;
    line-height: 0;
    font-size: 3.5rem;
    color:rgb(250, 245, 198);
    text-shadow: 4px 4px 5px #c51a59;
    text-decoration: underline wavy #e26b97;
    transition: 0.3s ease-in-out;
}

h1:hover {
    z-index: 5;
    color: #e26b97;
    text-decoration: underline wavy #fff1b0;
    text-shadow: 2px 2px 5px #fff6b0a8;
}

#diary {
    top: 3%;
    right: 20%;
    position: absolute;
    z-index: 3;
    width: 25%;
    transform: rotate(10deg);
    filter: drop-shadow(5px 5px 5px #bb1274);
}

#xx {
    position: absolute;
    width: 15%;
    right: 8%;
    top: 30%;
    box-shadow: 0px 0px 10px #fff1b0;
}

#desert {
    position: absolute;
    top: 60%;
    right: 15%;
    width: 50%;
    filter: drop-shadow(0px 5px 3px #ffeeba);
}

#honaplush2 {
  position: absolute;
  z-index: 3;
  width: 25%;
  left: 30%;
  top: 40%;
  filter: drop-shadow(5px 5px 5px #ffeebaad);
  animation: float 3s ease-in-out infinite;
}

@keyframes float {
    0% {
    transform: translateY(0);
    }

    50% {
    transform: translateY(-30px);
    }

    100% {
    transform: translateY(0);
    }}

#headtxt {
  padding: 5px;
  background-image: url(img/diary/padbg.png);
  z-index: 1;
  position: absolute;
  top: 45%;
  width: 27%;
  left: 7%;
  transform: rotate(-10deg);
  box-shadow: 0px 5px 5px#bb1274;
  font-family: PatrickHand;
  color: #c51a59;
}
#cage {
  position: absolute;
  z-index: 0;
  top: 20%;
  width: 27%;
  left: 10%;
  filter: drop-shadow(0px 0px 5px #e1179d)
}

.divider {
  width: 100%;
}

.diaryiframe {
  margin: 0 auto;
  position: relative;
  height: 120vw;
  width: 100%;
}

iframe {
  position: absolute;
  height: 100%;
  width: 100%;
  box-sizing: border-box;
  border-color: transparent;
  z-index: 0;
}

#lacebottom {
  position: absolute;
  width: 100%;
  bottom: -5%;
  z-index: 2;
}

#dawg {
  width: 20%;
  position: absolute;
  z-index: 3;
  bottom: 0;
  filter: drop-shadow(0px 5px 5px #c3076b);
}

#monamipack {
  left: 10%;
  bottom: 3%;
  width: 15%;
  position: absolute;
  z-index: 2;
  filter: drop-shadow(0px 5px 5px #c3076b);
}